#include <bits/stdc++.h>
using namespace std;

int main(){
int sol=0;
string broj;
cin >> broj;
for(int i = 0; i < broj.size(); i++){
        if(broj[i] == '1' || broj[i] == '2' || broj[i] == '5')
            sol++;
        else if(broj[i] == '3' || broj[i]=='4' || broj[i]=='6' || broj[i] =='7')
            sol+=2;
        else if(broj[i] == '8' || broj[i] == '9')
            sol+=3;
        else
            sol+=0;
}
cout << sol;
}